Kde, Kubuntu, PPA, Ubuntu

KDevelop 4 beta5 – Kubuntu jaunty

Kdevelop 4 and kdevplatform beta5 .deb packages for Kubuntu Jaunty 9.04 are available on my backports PPA.
To install them:

  • Copy the lines below and add them to your system’s software sources. (Read about installing)

    deb http://ppa.launchpad.net/daniele.domenichelli/backports/ubuntu jaunty main
    deb-src http://ppa.launchpad.net/daniele.domenichelli/backports/ubuntu jaunty main
  • Import public key for my PPA:

    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 9D0C02D0

  • Update and install package kdevelop

    sudo apt-get update
    sudo apt-get install kdevelop

EDIT:
I had some problem updating the new version, I fixed them deleting all kdevelop and kdevplatform files

find ~/.kde -name "*kdev*" | xargs rm -R


EDIT:
I still have problems with this version including some boost headers.

PPA, Ubuntu

Boost 1.38 – Ubuntu jaunty

Boost 1.38 .deb packages for Ubuntu Jaunty 9.04 are available on my backports PPA.
To install it:

  • Copy the lines below and add them to your system’s software sources. (Read about installing)

    deb http://ppa.launchpad.net/daniele.domenichelli/backports/ubuntu jaunty main
    deb-src http://ppa.launchpad.net/daniele.domenichelli/backports/ubuntu jaunty main
  • Import public key for my PPA:

    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 9D0C02D0

  • Update and install package libboost1.38-dev

    sudo apt-get update
    sudo apt-get install libboost1.38-dev
PPA, Ubuntu

Usb-modeswitch – Ubuntu jaunty

Usb-modeswitch 1.0.2 .deb package for Ubuntu Jaunty 9.04 is available on my backports PPA.
To install it:

  • Copy the lines below and add them to your system’s software sources. (Read about installing)

    deb http://ppa.launchpad.net/daniele.domenichelli/backports/ubuntu jaunty main
    deb-src http://ppa.launchpad.net/daniele.domenichelli/backports/ubuntu jaunty main
  • Import public key for my PPA:

    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 9D0C02D0

  • Update and install package usb-modeswitch

    sudo apt-get update
    sudo apt-get install usb-modeswitch

On the same PPA are also available backports of debhelper 7.3.8 and quilt 0.46

Kde, Kubuntu, PPA, Ubuntu

Frescobaldi – Kubuntu Jaunty

Frescobaldi 0.7.13 .deb packages for Kubuntu Jaunty 9.04 are available on my PPA.
Frescobaldi is a LilyPond sheet music text editor for KDE4
To install it:

  • Copy the lines below and add them to your system’s software sources. (Read about installing)

    deb http://ppa.launchpad.net/daniele.domenichelli/ppa/ubuntu jaunty main
    deb-src http://ppa.launchpad.net/daniele.domenichelli/ppa/ubuntu jaunty main
  • Import public key for my PPA:

    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 9D0C02D0

  • Update and install package frescobaldi

    sudo apt-get update
    sudo apt-get install frescobaldi

EDIT:
I found out that there is a launchpad group for Frescobaldi at https://launchpad.net/~frescobaldi that built Frescobaldi 0.7.13 on their PPA.
Anyway I believe that the package for jaunty on its PPA was built with Kde 4.2, and I’m not sure if it would work on Kubuntu jaunty with with Kde 4.3

Kde, Kubuntu, PPA, Ubuntu

[outdated] Digikam – Kubuntu Jaunty

After upgrading to Kde 4.3 from kubuntu-ppa backports archive, Digikam stopped working.
To have it working again you just have to rebuild the package linking to the new version of kdelibs.
A working .deb packages for Kubuntu Jaunty 9.04 is available on my PPA.
To install it:

  • Copy the lines below and add them to your system’s software sources. (Read about installing)

    deb http://ppa.launchpad.net/daniele.domenichelli/ppa/ubuntu jaunty main
    deb-src http://ppa.launchpad.net/daniele.domenichelli/ppa/ubuntu jaunty main
  • Import public key for my PPA:

    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 9D0C02D0

  • Update and upgrade package Digikam and Showfoto

    sudo apt-get update
    sudo apt-get upgrade

    or

    sudo apt-get install digikam showfoto
PPA, Ubuntu

TCLAP 1.1.0 Bug

TCLAP library version 1.1.0 contains a small bug:
Including tclap/CmdLine.h more then once (in different files) causes linking errors.

Linking problem is caused by these functions:

  • TCLAP::OptionalUnlabeledTracker::check
  • TCLAP::MultiSwitchArg::shortID
  • TCLAP::MultiSwitchArg::longID

Declaring these 3 functions as “inline” fixes this bug.

I reported this bug to the author and he answered that this problem has been fixed in CVS and will be
part of the next release.

I released a package for Ubuntu Jaunty containing this fix, you can download it from my PPA